/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.ifish.bean;

import java.util.Date;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

/**
 * 鱼缸场详情表(tbl_vender_list)
 *
 * @author bianj
 * @version 1.0.0 2017-06-27
 */
@Entity
@Table(name = "tbl_vender_list")
public class Tbl_Vender implements java.io.Serializable {

    /**
     * 版本号
     */
    private static final long serialVersionUID = 2462685903502867014L;

    /**
     * 鱼缸厂编号
     */
    @Id
    @Column(name = "brand_code", unique = true, nullable = false, length = 20)
    private String brandCode;

    /**
     * logo
     */
    @Column(name = "brand_logo", nullable = true, length = 100)
    private String brandLogo;

    /**
     * 鱼缸厂名称
     */
    @Column(name = "brand_name", nullable = false, length = 20)
    private String brandName;

    /**
     * 品牌介绍
     */
    @Column(name = "brand_introduce", nullable = true, length = 100)
    private String brandIntroduce;

    /**
     * app展示
     */
    @Column(name = "app_show", nullable = true, length = 1)
    private String appShow;

    /**
     * 联系电话
     */
    @Column(name = "contact_phone", nullable = true, length = 30)
    private String contactPhone;

    /**
     * 联系地址
     */
    @Column(name = "contact_address", nullable = true, length = 50)
    private String contactAddress;

    /**
     * 更新时间
     */
    @Column(name = "update_time", nullable = true)
    private Date updateTime;

    /**
     * 创建时间
     */
    @Column(name = "create_time", nullable = true)
    private Date createTime;

    /**
     * 获取鱼缸厂编号
     *
     * @return 鱼缸厂编号
     */
    public String getBrandCode() {
        return this.brandCode;
    }

    /**
     * 设置鱼缸厂编号
     *
     * @param brandCode 鱼缸厂编号
     */
    public void setBrandCode(String brandCode) {
        this.brandCode = brandCode;
    }

    /**
     * 获取logo
     *
     * @return logo
     */
    public String getBrandLogo() {
        return this.brandLogo;
    }

    /**
     * 设置logo
     *
     * @param brandLogo logo
     */
    public void setBrandLogo(String brandLogo) {
        this.brandLogo = brandLogo;
    }

    /**
     * 获取鱼缸厂名称
     *
     * @return 鱼缸厂名称
     */
    public String getBrandName() {
        return this.brandName;
    }

    /**
     * 设置鱼缸厂名称
     *
     * @param brandName 鱼缸厂名称
     */
    public void setBrandName(String brandName) {
        this.brandName = brandName;
    }

    /**
     * 获取品牌介绍
     *
     * @return 品牌介绍
     */
    public String getBrandIntroduce() {
        return this.brandIntroduce;
    }

    /**
     * 设置品牌介绍
     *
     * @param brandIntroduce 品牌介绍
     */
    public void setBrandIntroduce(String brandIntroduce) {
        this.brandIntroduce = brandIntroduce;
    }

    /**
     * 获取app展示
     *
     * @return app展示
     */
    public String getAppShow() {
        return this.appShow;
    }

    /**
     * 设置app展示
     *
     * @param appShow app展示
     */
    public void setAppShow(String appShow) {
        this.appShow = appShow;
    }

    /**
     * 获取联系电话
     *
     * @return 联系电话
     */
    public String getContactPhone() {
        return this.contactPhone;
    }

    /**
     * 设置联系电话
     *
     * @param contactPhone 联系电话
     */
    public void setContactPhone(String contactPhone) {
        this.contactPhone = contactPhone;
    }

    /**
     * 获取联系地址
     *
     * @return 联系地址
     */
    public String getContactAddress() {
        return this.contactAddress;
    }

    /**
     * 设置联系地址
     *
     * @param contactAddress 联系地址
     */
    public void setContactAddress(String contactAddress) {
        this.contactAddress = contactAddress;
    }

    /**
     * 获取更新时间
     *
     * @return 更新时间
     */
    public Date getUpdateTime() {
        return this.updateTime;
    }

    /**
     * 设置更新时间
     *
     * @param updateTime 更新时间
     */
    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    /**
     * 获取创建时间
     *
     * @return 创建时间
     */
    public Date getCreateTime() {
        return this.createTime;
    }

    /**
     * 设置创建时间
     *
     * @param createTime 创建时间
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }
}
